'use strict';

window.addEventListener("load",function(){

    var conexion = document.getElementById("conexion");
    var opciones = document.querySelector(".opciones");
    var valor_abrir = document.getElementById("valor_abrir");
 
    /*** VENTANA DE OPCIONES  ***/

    conexion.onclick= function(){
        opciones.style.display="none";
    }
    

    conexion.onmousedown = function(eventData) {
    if (eventData.button === 2) {
        opciones.style.display="inline-block";
    }else{
        opciones.style.display="none";
    }
    }  
    

      //esconder al presionar fuera de la ventanta
      $(document).on("click",function(e) {
                    
        let container = $(".opciones");

           if (!container.is(e.target) && container.has(e.target).length === 0) { 
             opciones.style.display="none";
           }
     });

      //deshabilitar click derecho
      conexion.oncontextmenu = function (e) {

        if(e.button === 2){
              e.preventDefault(); 
        }
      
      }

      conexion.onchange = function () {
        valor_abrir.value = conexion.value;
      }

      valor_abrir.value =conexion.value;


});


    //invertir datos de conexion
    var $select = $('#conexion');
    var options = $select.find('option');
   
    options = [].slice.call(options).reverse();

    $select.empty();
   
    $.each(options, function (i, el) {
      $select.append($(el));
      $select.val('0');
    });


    //EVENTOS TOUCH

  var onlongtouch; 
  var timer, lockTimer;
  var touchduration = 600;

  function touchstart(e) {
        // e.preventDefault();
          if(lockTimer){
            return;
          }
          timer = setTimeout(onlongtouch, touchduration); 
          lockTimer = true;
  }

  function touchend() {
      if (timer){
          clearTimeout(timer); // clearTimeout, not cleartimeout..
          lockTimer = false;
      }
  }

  onlongtouch = function() {  
     document.querySelector(".opciones").style.display="inline-block";
  };

    document.addEventListener("DOMContentLoaded", function(event) { 
          document.getElementById('conexion').addEventListener("touchstart", touchstart, false);
          document.getElementById('conexion').addEventListener("touchend", touchend, false);
    });